# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

calcGseaStatCumulativeBatch <- function(stats, gseaParam, pathwayScores, pathwaysSizes, iterations, seed) {
    .Call('_signatureSearch_calcGseaStatCumulativeBatch', PACKAGE = 'signatureSearch', stats, gseaParam, pathwayScores, pathwaysSizes, iterations, seed)
}

calcGseaStatCumulative <- function(stats, selectedStats, gseaParam) {
    .Call('_signatureSearch_calcGseaStatCumulative', PACKAGE = 'signatureSearch', stats, selectedStats, gseaParam)
}

#' Calculates GSEA statistic valus for all gene sets in `selectedStats` list.
#'
#' Takes \emph{O(n + mKlogK)} time, where n is the number of genes, m is the number of gene sets,
#' and k is the mean gene set size.
#' @param stats Numeric vector of gene-level statistics sorted in decreasing order
#' @param selectedGenes List of integer vector with integer gene IDs (from 1 to n)
#' @param geneRanks Integer vector of gene ranks
#' @return Numeric vector of GSEA statistics of the same length as `selectedGenes` list
calcGseaStatBatchCpp <- function(stats, selectedGenes, geneRanks) {
    .Call('_signatureSearch_calcGseaStatBatchCpp', PACKAGE = 'signatureSearch', stats, selectedGenes, geneRanks)
}

